﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace KonkeDemo
{
    public partial class LoadForm : Form    //登陆界面
    {
        public static LoadForm Load_interface = null;  //用于将账号类型传给子窗口

        public LoadForm()
        {
            InitializeComponent();
            Load_interface = this;  //用于将账号类型传给子窗口
        }

        //窗口最大化控件变化 - start

        ControlChangesWithWindows LoadFormWindows = new ControlChangesWithWindows(); //随窗口改变大小类的实例化
        private int RootType = 0;
        private string RootName = "Unknow";
        private string RootPW = "";
        private string RootDepartment = "";

        private void LoadXmlFile(string URL, string FileName)
        {
            try
            {

            }
            catch
            {

            }
        }

        private void LoadConfigsFile()
        {

        }

        //将控件的宽，高，左边距，顶边距和字体大小暂存到tag属性中
        private void LoadForm_Load(object sender, EventArgs e)
        {

            LoadFormWindows.MethodForLoad(this);//调用方法
        }

        //根据窗体大小调整控件大小
        private void LoadForm_Resize(object sender, EventArgs e)
        {
            try
            {
                int Width = this.Width;

                int Height = this.Height;

                if (Width >= 617 && Height >= 384)
                {
                    this.AutoScroll = false;
                    LoadFormWindows.MethodForResize(this);//随窗体改变控件大小    
                }
                else
                    this.AutoScroll = true;
            }
            catch (Exception ex)
            {
                MessageBox.Show("窗体大小改变-操作失败：" + ex.ToString());
            }
        }


        //登陆操作 - start

        [DllImport(".\\barcodex.ocx")]
        public static extern int DllRegisterServer();//用于注册barcodex.OCX文件，用于生成条形码的控件

        public int GetTempType()   //用于将账号类型传给子窗口
        {
            return RootType;
        }

        public string GetRootName()   //用于将账号名称传给子窗口
        {
            return RootName;
        }

        public string GetRootPW()   //用于将账号密码传给子窗口
        {
            return RootPW;
        }

        public string GetRootDepartment()   //用于将工厂信息传给子窗口
        {
            return RootDepartment;
        }

        //登陆按钮，检查账号密码是否正确，是否选择设备类型
        private void LoadButton_Click(object sender, EventArgs e)
        {
            try
            {

                LoadTextShow.Visible = true; //登录提示
                LoadErrorText.Visible = false;  //隐藏错误提示框
                RootName = PassnameText.Text;



                Dictionary<string, object> dicPara = new Dictionary<string, object>
                {
                    { "item", "loginAccount" },
                    { "value", PassnameText.Text.Trim() }
                };
                if (PassnameText.Text.Trim() == "surukun"
                    && PasswordText.Text.Trim() == "123456")
                {
                    this.Hide();
                    Configure ConfigureWindows = new Configure();
                    if (ConfigureWindows.ShowDialog() == DialogResult.OK)         //以对话框形式显示配置界面
                    {
                        //this.Show();                                   //显示主界面
                    }
                }
                LoadTextShow.Visible = false;
                LoadErrorText.Visible = true;//显示错误提示框
            }
            catch (Exception ex)
            {
                LoadErrorText.Text = "登录异常";
                LoadTextShow.Visible = false;
                LoadErrorText.Visible = true;//显示错误提示框
                MessageBox.Show("登录异常：请检查网络后重试");
            }
        }


        private bool CheckClientKey(string userName, string password)
        {
            return true;
        }

        private void PassNameEnter(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Enter)
                PasswordText.Focus();   //将焦点设置到密码输入框
        }

        private void PassWordEnter(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Enter)
                this.LoadButton_Click(sender, e);  //点击名为LoadButton按键,即登陆
        }

        private void SignOut_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

    }
}
